MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023349Community[OCCT] OCCT:DRAWpublic2012-07-26 13:062012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023349: There are identical sub-expressions 'aS1.ShapeType() != TopAbs_FACE' to the left and to the right of the '||' operator.
DescriptionBOPTest_Commands.cxx, lines 1510 and 1572.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021160)
Pawel (developer)
2012-07-26 13:09

Corresponding git branch committed. Please review.
(0021212)
emv (developer)
2012-08-08 10:13

Reviewed. Please test.
(0021224)
apn (administrator)
2012-08-09 14:26

Dear BugMaster,
Branch CR23349 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master b2d4add4
Timestamp: 2012-07-26 09:08:26
Author: Pawel
Details ] Diff ]
0023349: There are identical sub-expressions 'aS1.ShapeType() != TopAbs_FACE' to the left and to the right of the '||' operator.

The same shape was checked twice if it was a face. The other shape was omitted instead.
mod - src/BOPTest/BOPTest_BOPCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-26 13:06 Pawel New Issue
2012-07-26 13:06 Pawel Assigned To => Pawel
2012-07-26 13:09 Pawel Note Added: 0021160
2012-07-26 13:09 Pawel Assigned To Pawel => bugmaster
2012-07-26 13:09 Pawel Status new => resolved
2012-07-27 07:33 abv Assigned To bugmaster => emv
2012-08-08 10:13 emv Note Added: 0021212
2012-08-08 10:13 emv Status resolved => reviewed
2012-08-09 13:31 apn Assigned To emv => apn
2012-08-09 14:26 apn Note Added: 0021224
2012-08-09 14:26 apn Test case number => Not needed
2012-08-09 14:26 apn Assigned To apn => bugmaster
2012-08-09 14:26 apn Status reviewed => tested
2012-08-13 15:38 Pawel Changeset attached => occt master b2d4add4
2012-08-13 15:38 Pawel Assigned To bugmaster => Pawel
2012-08-13 15:38 Pawel Status tested => verified
2012-08-13 15:38 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker